<?php
/**
 * @connect_module_class_name CPayanywayWebmoney
 * @package DynamicModules
 * @subpackage Payment
 */
// Модуль интеграции с платежной системой PayAnyWay

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywayWebmoney extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $default_logo = 'http://www.webasyst.net/collections/design/payment-icons/webmoney.gif';
	var $additionalParameters = '';
	var $isInvoice = 0;
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_WEBMONEY_TTL;
		$this->description 	= PAW_WEBMONEY_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_SYSTEMURL',
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS',
			'CONF_PAYANYWAY_UNIT_ID',
		);
		$this->additionalParameters = "
				<label>".PAW_WEBMONEY_ACCOUNTID_TTL."</label>
				<select name='paymentSystem.accountId'>
					<option value='2'>WMR</option>
					<option value='3'>WMZ</option>
					<option value='4'>WME</option>
				</select><br/><br/>";
		
		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

	function _initSettingFields()
	{
		parent::_initSettingFields();
		$this->SettingsFields['CONF_PAYANYWAY_UNIT_ID'] = array(
			'settings_value' 		=> '1017',
			'settings_title' 		=> PAW_CFG_UNIT_ID_TTL,
			'settings_description' 	=> PAW_CFG_UNIT_ID_DSCR,
			'settings_html_function'=> 'setting_TEXT_BOX(0,',
			'sort_order' 			=> 1,
		);
	}

}
?>